## GucharmapChaptersModel GucharmapChaptersModel |

## Functions

GucharmapCodepointList * | gucharmap_chapters_model_get_codepoint_list ()
const char * | gucharmap_chapters_model_get_title ()
GucharmapCodepointList * | gucharmap_chapters_model_get_book_codepoint_list ()
gboolean | gucharmap_chapters_model_character_to_iter ()
gboolean | gucharmap_chapters_model_id_to_iter ()

## Object Hierarchy

        GObject
        ╰── GtkListStore
            ╰── GucharmapChaptersModel
                ├── GucharmapBlockChaptersModel
                ╰── GucharmapScriptChaptersModel

## Description

## Functions

### gucharmap_chapters_model_get_codepoint_list ()

    GucharmapCodepointList *
    gucharmap_chapters_model_get_codepoint_list
                                   (GucharmapChaptersModel *chapters,
                                    GtkTreeIter *iter);

Creates a new GucharmapCodepointList representing the characters in the current chapter.

#### Parameters

chapters | a GucharmapChaptersModel |
iter | a GtkTreeIter |

#### Returns

the newly-created GucharmapCodepointList, or NULL if there is no chapter selected. The caller should release the result with `g_object_unref()` when finished.

[transfer full]

### gucharmap_chapters_model_get_title ()

    const char *
    gucharmap_chapters_model_get_title (GucharmapChaptersModel *chapters);

### gucharmap_chapters_model_get_book_codepoint_list ()

    GucharmapCodepointList *
    gucharmap_chapters_model_get_book_codepoint_list
                                   (GucharmapChaptersModel *chapters);

#### Parameters

chapters | a GucharmapChaptersModel |

#### Returns

a reference to a GucharmapCodepointList representing all the characters in all the chapters. It should not be modified, but must be `g_object_unref()`'d after use.

[transfer full]

### gucharmap_chapters_model_character_to_iter ()

    gboolean
    gucharmap_chapters_model_character_to_iter
                                   (GucharmapChaptersModel *chapters,
                                    gunichar wc,
                                    GtkTreeIter *iter);

#### Parameters

chapters | a GucharmapChaptersModel |
wc | a character |
iter | a GtkTreeIter. | [out]

#### Returns

`TRUE` on success, `FALSE` on failure.

### gucharmap_chapters_model_id_to_iter ()

    gboolean
    gucharmap_chapters_model_id_to_iter (GucharmapChaptersModel *chapters_model,
                                         const char *id,
                                         GtkTreeIter *_iter);

#### Parameters

chapters_model | a GucharmapChaptersModel |
id | name |
_iter | a GtkTreeIter. | [out]

#### Returns

`TRUE` on success, `FALSE` on failure.